#include <IRremote.h>
#include <IRremoteInt.h>

     int RECV_PIN = 7;
    IRrecv irrecv(RECV_PIN); //création de l'objet capteur infra rouge irrecv
    decode_results results;
    int ledPin = 13;
    void setup()
    {
      pinMode(ledPin, OUTPUT); 
      Serial.begin(9600);
      irrecv.enableIRIn(); // Initialise le recepteur
      digitalWrite(ledPin, LOW);
    }
    
    void loop() {
       if (irrecv.decode(&results)) {
                  
        if (results.value==0xFD08F7){
          allume_del();
          delay(10000);
          eteint_del();
       }
       if (results.value==0xFD8877){
         eteint_del();
       }
       irrecv.resume(); // Recoit la valeur suivante
      }
    }
    void allume_del(){
      digitalWrite(ledPin, HIGH); // On allume la LED
    }
    void eteint_del(){
      digitalWrite(ledPin, LOW); // On eteint la LED
    }
